package Monstruos;
import java.util.*;

public class Monstruo {
	public int hp,hp_max,atc,def,suerte,agilidad,dineroG,expG,retroceso;
	public String nombre;
        public boolean envenenado,quemado,paralizado,congelado;
	
	public Monstruo(){
            atc = 0;
	}	
	public int Atacar(){
        Random rand = new Random();
        int azar = rand.nextInt(suerte+1);
        if (retroceso == 1){
            retroceso = 0;
            return 0;
        }
        else {
    	return (atc+azar);
        }
    }
   	public int Defensa(int ataque){
                Random rand = new Random();
                int azar = rand.nextInt(agilidad+1);
                if (ataque>(def+azar)){
   		hp=hp-(ataque-def-azar);
                if (hp < 0){
                    hp = 0;
                }
   		}
   		return 	hp;
   	}
}
